<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<html>
<head>
    <title>考生添加</title>
    <meta name="decorator" content="default"/>
    <%@include file="/WEB-INF/views/include/head.jsp" %>
</head>
<body>
<form:form id="inputForm" modelAttribute="student" action="${ctx}/admin/exam/student/insert" method="post" class="form-horizontal">
    <tags:message content="${message}"/>
    <div class="control-group">
        <label class="control-label">考试</label>
        <div class="controls">
            <form:select idd="examSelect" path="examId" class="required">
                <c:forEach items="${examList }" var="exam">
                    <option value="${exam.id }">${exam.id}-${exam.name}</option>
                </c:forEach>
            </form:select>
        </div>
    </div>
    <div class="control-group">
        <label class="control-label">科目</label>
        <div class="controls">
            <form:select id="subjectCodeSelect" path="subjectCode" class="required">
            </form:select>
        </div>
    </div>
    <div class="control-group">
        <label class="control-label">姓名</label>
        <div class="controls">
            <form:input path="name" htmlEscape="false" maxlength="32" class="required"/>
        </div>
    </div>
    <div class="control-group">
        <label class="control-label">学号</label>
        <div class="controls">
            <form:input path="studentCode" htmlEscape="false" maxlength="32" class="required"/>
        </div>
    </div>
    <div class="control-group">
        <label class="control-label">准考证号</label>
        <div class="controls">
            <form:input path="examNumber" htmlEscape="false" maxlength="32" class="required"/>
        </div>
    </div>
    <div class="control-group">
        <label class="control-label">学院</label>
        <div class="controls">
            <form:input path="college" htmlEscape="false" maxlength="32" class="required"/>
        </div>
    </div>
    <div class="control-group">
        <label class="control-label">班级</label>
        <div class="controls">
            <form:input path="className" htmlEscape="false" maxlength="32" class="required"/>
        </div>
    </div>
    <div class="control-group">
        <label class="control-label">任课老师</label>
        <div class="controls">
            <form:input path="teacher" htmlEscape="false" maxlength="32" class="required"/>
        </div>
    </div>
    <div class="control-group">
        <label class="control-label">签到表编号</label>
        <div class="controls">
            <form:input path="packageCode" htmlEscape="false" maxlength="32" class=""/>
        </div>
    </div>
    <div class="form-actions">
        <input id="btnSubmit" class="btn btn-primary" type="submit" value="保 存"/>&nbsp;
        <a href="${ctx}/admin/exam/student" class="btn">返回</a>
    </div>
</form:form>
<script type="text/javascript">
    $(document).ready(function () {
        //$("#name").focus();
        $("#inputForm").validate({

            submitHandler: function (form) {
                //alert("studentId="+$("#studentId").val()+" subjectCode="+$("#subjectCode").val());
                //$("#subjectCode").removeAttr("disabled");
                loading('正在提交，请稍等...');
                form.submit();
            },
            errorContainer: "#messageBox",
            errorPlacement: function (error, element) {
                $("#messageBox").text("输入有误，请先更正。");
                if (element.is(":checkbox") || element.is(":radio") || element.parent().is(".input-append")) {
                    error.appendTo(element.parent().parent());
                } else {
                    error.insertAfter(element);
                }
            }
        });
        $('#examSelect').change(function () {
            let examId = $('#examSelect').val();
            $.post('${ctx}/admin/exam/subject/list', {examId: examId}, function (list) {
                $('#subjectCodeSelect').empty();
                for (let i = 0; i < list.length; i++) {
                    let item = list.get(i);
                    $('#subjectCodeSelect').append('<option value="' + item.code + '">'
                        + item.code + '-' + item.name + '</option>');
                }
                $('#subjectCodeSelect').trigger('change');
            });
        })
        $('#examSelect').trigger('change');
    });
</script>
</body>
</html>
